## com.sun.jersey.api.client
Class WebResourceLinkHeaders

    java.lang.Object
      com.sun.jersey.core.header.LinkHeaders
          com.sun.jersey.api.client.WebResourceLinkHeaders

    public class WebResourceLinkHeaders

extends LinkHeaders

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`WebResourceLinkHeaders(Client c, MultivaluedMap<java.lang.String,java.lang.String> headers)`

Method Summary
`WebResource` | `resource(java.lang.String rel)`
`ViewResource` | `viewResource(java.lang.String rel)`

Methods inherited from class com.sun.jersey.core.header.LinkHeaders
`getLink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebResourceLinkHeaders

    public WebResourceLinkHeaders(Client c,
                                  MultivaluedMap<java.lang.String,java.lang.String> headers)

Method Detail

### resource

    public WebResource resource(java.lang.String rel)

### viewResource

    public ViewResource viewResource(java.lang.String rel)

Copyright © 2017 Oracle Corporation. All Rights Reserved.